#include <avr/sfr_defs.h>
#include "hackIO.h"
/* keep it from including system <avr/iom128.h> */
#define _AVR_IOM128_H_ 1
#include <avr/io.h>

#include "hacked_iom128.h"

uint8_t c;
uint16_t w;

int main()
{
    /* _SFR_MEM8 */
    TCCR3B = 0x10;
    TCCR3B |= 0x10;

    TCCR3B |= ICNC3;
    TCCR3B |= (ICNC3 | WGM32);

    TCCR3B |= _BV(ICNC3);
    TCCR3B |= (_BV(ICNC3) | _BV(WGM32));

    c = TCCR3B;

    /* _SFR_IO8 */
    PORTA = 0xAA;
    PORTA |= 0xAA;

    PORTA |= PA0;
    PORTA |= (PA0 | PA1);

    PORTA |= _BV(PA0);
    PORTA |= (_BV(PA0) | _BV(PA1));

    c = PORTA;

    /* _SFR_MEM16 */

    w = OCR1C;
    OCR1C = (uint16_t)0xFF00;

    return 0;
}
